[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[DEP-BLOAT] 'initscripts' require lot of low-level stuff



Hello,

the 'initscripts' package has dependencies on lot of low-level stuff like
dev, e2fsprogs, ethtool... Because 'initscripts' are required by nearly
every daemon, these low-level tools will be installed everytime. E.g. a
simple ftp server will require LVM2 tools.


Possible solution:

* split 'initscripts' into the following subpackages:
  - core with '/etc/rc.d/init.d/functions', '/sbin/service'; this is
    required by daemons
  - -startup with the currently shipped services (e.g. halt, killall),
    the rc.* scripts
  - -net with network related part



Enrico


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]